Subject: Re: 1.7.1 - problem with moving mouse programmatically with xte
From: Radu Berinde <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 16 Feb 2010 15:04:27 -0500
List-Id: <cygwin.cygwin.com>

It's unfortunate that this problem hasn't been fixed and Cygwin/X 1.7
is now part of the stable distribution.

It's even more unfortunate that there's no way (none I could find
anyway) to install the older version which worked for me.

Radu

On Thu, Dec 17, 2009 at 9:37 AM, Radu Berinde <[email-masked]> wrote:
> I am using Cygwin/X 1.7.1 and I am running applications on this X
> server from a Slackware virtual machine.
>
> I am using xte v1.03 to move the mouse using keyboard shortcuts. Using
> ion3 as the window manager.
>
> When running e.g.
> # xte 'mousermove +250 0'
> the mouse cursor should move to the right; indeed, the window manager
> changes focus as if moved to the right, but the cursor doesn't visibly
> move. When mouse is moved, movement continues from the visible
> location (the xte movement is 'forgot').
>
> I am starting the X server with this command (inside startx.bat file
> which is ran with bin/run.exe)
> XWin -ac -clipboard -silent-dup-error
>
> Note that the exact thing works perfectly with the stable 1.5 version.
> Hope this helps identify a problem. Thank you for developing Cygwin/X.
>
> Best,
> Radu
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple